| Flutter Impeller |

Public Member Functions | Static Public Member Functions | List of all members
IMPELLER_HPP_NAMESPACE::MaskFilter Class Referencefinal

`#include <impeller.hpp>`

Inheritance diagram for IMPELLER_HPP_NAMESPACE::MaskFilter:

## Public Member Functions
| MaskFilter (ImpellerMaskFilter filter, AdoptTag tag)
Public Member Functions inherited from IMPELLER_HPP_NAMESPACE::Object< ImpellerMaskFilter, ImpellerMaskFilterTraits >
| Object ()=default
| Object (ImpellerMaskFilter object)
| Object (ImpellerMaskFilter object, AdoptTag)
| Object (Object &&other)
| Object (const Object &other)
| ~Object ()
Object & | operator= (Object &&other)
Object & | operator= (const Object &other)
ImpellerMaskFilter | Get () const
| operator bool () const

## Static Public Member Functions
static MaskFilter | Blur (ImpellerBlurStyle style, float sigma)

## Detailed Description

See also
  ImpellerMaskFilter

Definition at line 653 of file impeller.hpp.

## Constructor & Destructor Documentation

## ◆ MaskFilter()

IMPELLER_HPP_NAMESPACE::MaskFilter::MaskFilter | ( | ImpellerMaskFilter | filter,
|  | AdoptTag | tag
| ) |  |
| inline

Definition at line 656 of file impeller.hpp.

656 : Object(filter, tag) {}
IMPELLER_HPP_NAMESPACE::Object< ImpellerMaskFilter, ImpellerMaskFilterTraits >::Object
Object()=default

Referenced by Blur().

## Member Function Documentation

## ◆ Blur()

static MaskFilter IMPELLER_HPP_NAMESPACE::MaskFilter::Blur | ( | ImpellerBlurStyle | style,
|  | float | sigma
| ) |  |
| inline static

See also
  ImpellerMaskFilterCreateBlurNew

Definition at line 661 of file impeller.hpp.

661 {
662 return MaskFilter(
663 gGlobalProcTable.ImpellerMaskFilterCreateBlurNew(style, sigma),
664 AdoptTag::kAdopt);
665 }
IMPELLER_HPP_NAMESPACE::MaskFilter::MaskFilter
MaskFilter(ImpellerMaskFilter filter, AdoptTag tag)
Definition: impeller.hpp:656
IMPELLER_HPP_NAMESPACE::AdoptTag::kAdopt
@ kAdopt
IMPELLER_HPP_NAMESPACE::gGlobalProcTable
ProcTable gGlobalProcTable
Definition: playground_test.cc:25

References IMPELLER_HPP_NAMESPACE::gGlobalProcTable, IMPELLER_HPP_NAMESPACE::kAdopt, and MaskFilter().

The documentation for this class was generated from the following file:

- impeller/toolkit/interop/impeller.hpp